Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05801 Color/Palette Major Always Dec 18, 2014, 12:49 Aug 21, 2015, 01:45
Tester darq View Status Public Platform MAME (Official Binary)
Assigned To Robbbert Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver cps1.cpp
Version 0.156 Fixed in Version 0.165 Build Normal
Summary 05801: 3wondersb: Status change from GAME_NOT_WORKING to GAME_IMPERFECT_GRAPHICS suggestion
Description The game 'works', it only has all black palette.

To view 'something' you can use fcrash_build_palette (fcrash.c) but with palettebase = 0x14000, since the game seems to not use
CPS_A_REG 0x0A to write palette.

However it still has gfx issues (incorrect bg and fg layers even if you force enabling).
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems 3wondersb
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
5
User avatar
No.11311
NekoEd
Senior Tester
Dec 19, 2014, 00:28
IMO, an all-black pallete renders the game completely unplayable, meaning it's GNW. I'll refer this for further attention.
User avatar
No.11312
Robbbert
Developer
Dec 19, 2014, 02:46
I'll take this for now, not sure when I'll get around to look at it though.
User avatar
No.11313
darq
Tester
Dec 19, 2014, 12:54
Ok, nice! But It doesn't matter anyway, I'm not in a hurry :-)

To BarnacleEd:
From an user point of view, I suppose you are right (the game it's completely unplayable), however from an emulation point, I think
that the game normally runs (eg. it doesn't have any kind of boot protection, etc.).
User avatar
No.11325
darq
Tester
Dec 26, 2014, 09:16
If it may helps, I found additional information.

To show the correct bg and fg gfx you have to add 0x4000 to both m_scroll2 and m_scroll3.

Besides, all layers are offset (like some of the sf2 hacks) and the correct values for scroll1xoff, scroll2xoff and scroll3xoff
should be 0x04, 0x06 and 0x0A (All positive values).

You have to force layer m_bg_tilemap enable, though.
User avatar
No.11980
Robbbert
Developer
Aug 21, 2015, 01:45
The game is now fixed, thanks in part to your help.

Resolving.